{ config, lib, ... }:

let
  cfg = config.subs.foot;
in
{
  imports = [
    ../../shared/hyprland.nix
  ];

  options = {
    subs.foot.enable = lib.mkOption {
      default = config.shared.hyprland.enable;
      type = lib.types.bool;
    };
  };

  config = lib.mkIf cfg.enable {
    programs.foot = {
      enable = true;
      server.enable = true;
      settings = {
        main = {
          include = "~/.config/foot/themes/dracula";
          term = "xterm-256color";
          font = "Iosevka NF Medium:size=13";
          dpi-aware = "yes";
        };
        bell = {
          system = "no";
        };
        scrollback = {
          lines = 10000;
        };
      };
    };

    home.file = {
      ".config/foot/themes/dracula".source = ../../config/foot-dracula;
    };
  };
}

