{
  programs.git = {
    enable = true;
    userName = "datsudo";
    userEmail = "76833632+datsudo@users.noreply.github.com";
    includes = [
      {
        condition = "gitdir:~/dev/gitlab/";
        contents = {
          user = {
            name = "datsudo";
            email = "11058167-Datsudo@users.noreply.gitlab.com";
          };
        };
      }
    ];
    extraConfig = {
      init.defaultBranch = "main";
      column.ui = "auto";
      branch.sort = "-committerdate";
      tag.sort = "version:refname";
      user.signingkey = "~/.ssh/id_ed25519.pub";
      diff = {
        algorithm = "histogram";
        colorMoved = "plain";
        mnemonicPrefix = true;
        renames = true;
      };
      push.autoSetupRemote = true;
      fetch = {
        prune = true;
        pruneTags = true;
        all = true;
      };
      gpg = {
        format = "ssh";
      };
      help.autocorrect = "prompt";
      commit.verbose = true;
    };
  };
}
